Skip to main content
Filters

Browse Catalog

1,300 results
Retail View

LEED Brakes RFC0005-H405MX

Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes 9005C

Proportioning valve bottom mounting bracket (Chrome); Leed Brakes mounting brackets and splash shields are precision manufactured for specific applications. Each one is designed for precision fit and all brackets and shields are coated or plated to remain corrosion free for years to come.

Log in for inventory

LEED Brakes RFC0002SMX

Spindle Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes H7

7 inch dual power brake booster with bracket (Chrome); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.

Log in for inventory

LEED Brakes RFC0005SMX

Spindle Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes 9006L

Proportioning valve left side mounting bracket (Zinc); Leed Brakes mounting brackets and splash shields are precision manufactured for specific applications. Each one is designed for precision fit and all brackets and shields are coated or plated to remain corrosion free for years to come.

Log in for inventory

LEED Brakes RFC0003-3405AX

Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes BFC1006-FA1X

Manual Front Kit with Drilled Rotors and Black Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes FC1002-NBB2X

Power Front Kit with Drilled Rotors and Zinc Plated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes H76

7 inch dual power booster, 1-1/8 inch bore flat top master (Chrome); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.

Log in for inventory

LEED Brakes RFC0006-3405AX

Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.

Log in for inventory

LEED Brakes 9006LC

Proportioning valve left side mounting bracket (Chrome); Leed Brakes mounting brackets and splash shields are precision manufactured for specific applications. Each one is designed for precision fit and all brackets and shields are coated or plated to remain corrosion free for years to come.

Log in for inventory